var n,d,k,a,i,b,x,y,w,j:integer;
begin
readln(w) ;
for w:=1 to w do
begin
readln;
read(j);
y:=0;
for  x:=1 to j do
begin
  if j mod x = 0
  then
  y:=y+1;
  end;
  if k=2
  then
  n:=j+1;
  if k<>2
  then
  n:=j;

repeat

begin

a:=0;
b:=0;
if (n>0)and(n<10)
then
b:=n;
if (n>=10)and(n<100)
then
b:=(n div 10 )+(n mod 10);
if (n>=100)and(n<1000)
then
b:=(n div 100)+((n div 10) mod 10)+(n mod 100);
 if (n>=1000) and(n<10000)
 then
 b:=(n div 1000)+((n div 100)mod 10)+((n div 10)mod 100)+(n mod 1000) ;





for d:=2 to n do
begin
k:=0;
for i:=1 to d do
begin
if d mod i = 0
then
k:=k+1;
end;
if k=2
then
begin
if( n mod d = 0  )and(n mod (d*d)<>0)
then
a:=a+d;
if( n mod( d*d)=0) and(n mod (d*d*d)<>0)
then
a:=a+2*d;
if n mod (d*d*d) = 0
then
a:=a+3*d;
end;
  end;
   if a=b
   then
   write(' ',n);

    n:=n+1;
       end;
 until a=b  ;


 end;
end.